Bug Hunting Session
Bug 114308 - FILEOPEN: Incorrect watermark size
Summary: FILEOPEN: Incorrect watermark size
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-12-07 11:47 UTC by Xisco Faulí
Modified: 2017-12-11 12:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.0 (15.34 KB, image/png)
2017-12-07 11:47 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-12-07 11:47:42 UTC
Created attachment 138273 [details]
comparison MSO 2010 and LibreOffice 6.0

Steps to reproduce:
1. Open attachment 116093 [details] from bug 91686

Observed behaviour: Watermark should be double its size. See attached image

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 495ac1bc97f3deea8e13cb1a2b9f59d087873c3f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: group threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-12-07 11:48:50 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-11-02 19:53:53 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2017-11-14 16:49:30 +0100
commit	a3a917748892a6a3194ebfc4db64cfd764cc054a (patch)
tree	5c314606ace2b7d2712f4ffe3ef342657aeeac52
parent	e128d83b5e7fd2ceb8d5ec9a346a3b7351be79cc (diff)
tdf#113037 DOCX Watermark correct ratio
Import and export Watermark with padding like MSO does.
Shape is scaled to save correct ratio.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Szymon Kłos
Comment 2 Szymon Kłos 2017-12-07 12:35:52 UTC
After this commit there was transient state in watermark size handling, now (current master) it should be the same as before this change.
Comment 3 Xisco Faulí 2017-12-07 12:41:16 UTC
(In reply to Szymon Kłos from comment #2)
> After this commit there was transient state in watermark size handling, now
> (current master) it should be the same as before this change.

When you say master, which commit do you mean? i can still reproduce it in
495ac1bc97f3deea8e13cb1a2b9f59d087873c3f
Comment 4 Szymon Kłos 2017-12-07 12:42:27 UTC
No, I checked. This is another case. I can confirm bug.
Comment 5 Commit Notification 2017-12-08 17:52:24 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09da6dfcfb732dd621670f2b919eb5b5bf09b7ec

tdf#114308 Export Watermark size as is

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-08 20:19:04 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ac38b5689458f6dc0da313fbd24b8b462cbcc78&h=libreoffice-6-0

tdf#114308 Export Watermark size as is

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-09 10:58:56 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=521d92b39b64f503876ca194d009b29f7188cc87

tdf#114308 DOC import correctly watermark without padding

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-09 17:46:41 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f60fb34eda56c2488f6197a59cb2b35e1e81503&h=libreoffice-6-0

tdf#114308 DOC import correctly watermark without padding

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-12-11 12:18:37 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 3af500580b1c82eabd60335c9ebc458a3f68850c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded